autogenerated = 0
source = ~/.config/hypr/binds.conf
monitor=,preferred,auto,auto

exec-once = gsettings set org.gnome.desktop.interface gtk-theme "Adwaita-dark"
exec-once = gsettings set org.gnome.desktop.interface icon-theme Adwaita
exec-once = gsettings set org.gnome.desktop.interface color-scheme 'prefer-dark'
exec-once = gsettings set org.gnome.desktop.interface gtk-color-scheme 'prefer-dark'
exec-once = gsettings set org.gnome.desktop.interface cursor-theme 'Adwaita'
exec-once = swaybg -i ~/Documents/wallp.png
exec-once = hyprctl setcursor Adwaita 24
exec-once = waybar --config /home/sophron/.config/waybar/config
exec-once = pipewire
exec-once = wireplumber
exec-once = telegram-desktop
exec-once = firefox


env = XCURSOR_SIZE,24
env = QT_QPA_PLATFORMTHEME,qt6ct 
env = XDG_CURRENT_DESKTOP="Hyprland";
env = XDG_SESSION_TYPE="wayland";
env = XDG_SESSION_DESKTOP="Hyprland";
env = QT_AUTO_SCREEN_SCALE_FACTOR="1";
env = QT_QPA_PLATFORM="wayland";
env = QT_QPA_PLATFORMTHEME="gtk3";

general {
    gaps_in = 5
    gaps_out = 10
    border_size = 0
    resize_on_border = false
    allow_tearing = false
    layout = dwindle
}


decoration {
    rounding = 15
    active_opacity = 1.0
    inactive_opacity = 1.0
    shadow {
        enabled = true
        range = 4
        render_power = 3
        color = rgba(000000ee)
    }
    blur {
        enabled = true
        size = 3
        passes = 1
        vibrancy = 0.1696
    }
}


animations {
    enabled = yes
    bezier = myBezier, 0.05, 0.9, 0.1, 1.05

    animation = windows, 1, 5, myBezier
    animation = windowsOut, 1, 5, default, popin 80%
    animation = border, 1, 10, default
    animation = borderangle, 1, 8, default
    animation = fade, 1, 5, default
    animation = workspaces, 1, 4, default
}

dwindle {
    pseudotile = true 
    preserve_split = true 
}

master {
    new_status = master
}

misc {
    force_default_wallpaper = -1 
    disable_hyprland_logo = true 
}

input {
    kb_layout = us,ru
    kb_options = grp:alt_shift_toggle
    follow_mouse = 1
    sensitivity = 0 
}


gestures {
    workspace_swipe = false
}

windowrule = float,^(kitty)$
windowrule = center,^(kitty)$
windowrule = workspace 1,^(firefox)$
windowrule = workspace 2,^(org.telegram.desktop)$
windowrule = float,^(pavucontrol)$




